diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/search/QueryFactory.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/search/QueryFactory.java
index fe58f9df6f..ed258390ca 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/search/QueryFactory.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/search/QueryFactory.java
@@ -9,23 +9,32 @@
 */
 package eu.etaxonomy.cdm.api.service.search;
 
+import java.io.IOException;
+import java.util.HashMap;
 import java.util.HashSet;
 import java.util.List;
+import java.util.Map;
 import java.util.Set;
+import java.util.UUID;
 
 import org.apache.log4j.Logger;
+import org.apache.lucene.index.IndexReader;
 import org.apache.lucene.index.Term;
 import org.apache.lucene.queryParser.ParseException;
 import org.apache.lucene.search.BooleanClause;
 import org.apache.lucene.search.BooleanClause.Occur;
 import org.apache.lucene.search.BooleanQuery;
+import org.apache.lucene.search.Filter;
 import org.apache.lucene.search.FilteredQuery;
+import org.apache.lucene.search.IndexSearcher;
 import org.apache.lucene.search.MatchAllDocsQuery;
 import org.apache.lucene.search.NumericRangeQuery;
 import org.apache.lucene.search.Query;
 import org.apache.lucene.search.QueryWrapperFilter;
 import org.apache.lucene.search.TermQuery;
 import org.apache.lucene.search.WildcardQuery;
+import org.apache.lucene.search.join.JoinUtil;
+import org.hibernate.search.ProjectionConstants;
 import org.hibernate.search.spatial.impl.Point;
 import org.hibernate.search.spatial.impl.Rectangle;
 import org.hibernate.search.spatial.impl.SpatialQueryBuilderFromPoint;
@@ -38,6 +47,21 @@ import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.Language;
 
 /**
+ * QueryFactory creates queries for a specific lucene index that means queries
+ * specific to the various CDM base types. Therefore the QueryFactory hold a
+ * reference to a {@link LuceneSearch} instance which has been created for a
+ * CDM base type.<br>
+ * The field names used in queries created on free text fields are remembered
+ * and can be accessed by {@link #getTextFieldNames()} or {@link #getTextFieldNamesAsArray()}.
+ * This is useful for highlighting the matches with {@link LuceneSearch#setHighlightFields(String[])}
+ * <p>
+ * The index specific methods from {@link LuceneSearch} which are
+ * used by QueryFactory directly or indirectly are:
+ * <ul>
+ * <li>{@link LuceneSearch#getAnalyzer()}</li>
+ * </ul>
+ *
+ *
  * @author a.kohlbecker
  * @date Sep 14, 2012
  *
@@ -46,11 +70,13 @@ public class QueryFactory {
 
     public static final Logger logger = Logger.getLogger(QueryFactory.class);
 
-    private final LuceneSearch luceneSearch;
+    protected ILuceneIndexToolProvider toolProvider;
 
     Set<String> textFieldNames = new HashSet<String>();
 
-    private BooleanQuery finalQuery;
+    Map<Class<? extends CdmBase>, IndexSearcher> indexSearcherMap = new HashMap<Class<? extends CdmBase>, IndexSearcher>();
+
+    private final Class<? extends CdmBase> cdmBaseType;
 
     public Set<String> getTextFieldNames() {
         return textFieldNames;
@@ -60,9 +86,9 @@ public class QueryFactory {
         return textFieldNames.toArray(new String[textFieldNames.size()]);
     }
 
-
-    public QueryFactory(LuceneSearch luceneSearch){
-        this.luceneSearch = luceneSearch;
+    public QueryFactory(ILuceneIndexToolProvider toolProvider, Class<? extends CdmBase> cdmBaseType){
+        this.cdmBaseType = cdmBaseType;
+        this.toolProvider = toolProvider;
     }
 
     /**
@@ -73,7 +99,7 @@ public class QueryFactory {
      * @param fieldName
      * @param queryString
      * @param isTextField whether this field is a field containing free text in contrast to e.g. ID fields.
-     *     If <code>isTextField</code> to <code>true</code> the <code>queryString</code> will be parsed by
+     *     If <code>isTextField</code> is set <code>true</code> the <code>queryString</code> will be parsed by
      *     using the according analyzer.
      * @return the resulting <code>TermQuery</code> or <code>null</code> in case of an <code>ParseException</code>
      *
@@ -87,7 +113,7 @@ public class QueryFactory {
             // in order to support the full query syntax we must use the parser
             // here
             try {
-                return luceneSearch.parse(luceneQueryString);
+                return toolProvider.getQueryParserFor(cdmBaseType).parse(luceneQueryString);
             } catch (ParseException e) {
                 logger.error(e);
             }
@@ -179,7 +205,22 @@ public class QueryFactory {
      * @return
      */
     public Query newEntityIdQuery(String idFieldName, CdmBase entitiy){
-        return newTermQuery("inDescription.taxon.taxonNodes.classification.id", String.valueOf(entitiy.getId()), false);
+        return newTermQuery(idFieldName, String.valueOf(entitiy.getId()), false);
+    }
+
+    /**
+     * @param idFieldName
+     * @param entitiy
+     * @return
+     */
+    public Query newEntityIdsQuery(String idFieldName, List<? extends CdmBase> entities){
+        BooleanQuery idInQuery = new BooleanQuery();
+        if(entities != null && entities.size() > 0 ){
+            for(CdmBase entity : entities){
+                idInQuery.add(newEntityIdQuery(idFieldName, entity), Occur.SHOULD);
+            }
+        }
+        return idInQuery;
     }
 
     /**
@@ -188,7 +229,16 @@ public class QueryFactory {
      */
     public Query newIsNotNullQuery(String idFieldName){
         return new TermQuery(new Term(NotNullAwareIdBridge.notNullField(idFieldName), NotNullAwareIdBridge.NOT_NULL_VALUE));
-  }
+    }
+
+    /**
+     * @param uuidFieldName
+     * @param entity
+     * @return
+     */
+    public Query newEntityUuidQuery(String uuidFieldName, IdentifiableEntity entity) {
+        return newTermQuery(uuidFieldName, entity.getUuid().toString(), false);
+    }
 
     /**
      * creates a query for searching for documents in which the field specified by <code>uuidFieldName</code> matches at least one of the uuid
@@ -197,27 +247,35 @@ public class QueryFactory {
      * @param entities
      * @return
      */
-    public Query newEntityUuidQuery(String uuidFieldName, List<? extends IdentifiableEntity> entities){
+    public Query newEntityUuidsQuery(String uuidFieldName, List<? extends IdentifiableEntity> entities){
 
         BooleanQuery uuidInQuery = new BooleanQuery();
         if(entities != null && entities.size() > 0 ){
             for(IdentifiableEntity entity : entities){
-                uuidInQuery.add(newTermQuery(uuidFieldName, entity.getUuid().toString(), false), Occur.SHOULD);
+                uuidInQuery.add(newEntityUuidQuery(uuidFieldName, entity), Occur.SHOULD);
             }
         }
         return uuidInQuery;
     }
 
-    public void setFinalQuery(BooleanQuery finalQuery) {
-        this.finalQuery = finalQuery;
-    }
 
-    public BooleanQuery getFinalQuery(){
-        return finalQuery;
-    }
+    /**
+     * creates a query for searching for documents in which the field specified by <code>uuidFieldName</code> matches at least one of the
+     * supplied <code>uuids</code>
+     * the sql equivalent of this is <code>WHERE uuidFieldName IN (uuid_1, uuid_2, ...) </code>.
+     * @param uuidFieldName
+     * @param entities
+     * @return
+     */
+    public Query newUuidQuery(String uuidFieldName, List<UUID> uuids){
 
-    public LuceneSearch getLuceneSearch() {
-        return luceneSearch;
+        BooleanQuery uuidInQuery = new BooleanQuery();
+        if(uuids != null && uuids.size() > 0 ){
+            for(UUID uuid : uuids){
+                uuidInQuery.add(newTermQuery(uuidFieldName, uuids.toString(), false), Occur.SHOULD);
+            }
+        }
+        return uuidInQuery;
     }
 
 
@@ -267,4 +325,64 @@ public class QueryFactory {
         );
     }
 
+    /**
+     *
+     * @param fromField
+     * @param toField
+     * @param joinFromQuery
+     * @param fromType
+     * @return
+     * @throws IOException
+     */
+    public Query newJoinQuery(String fromField, String toField, Query joinFromQuery,
+            Class<? extends CdmBase> fromType) throws IOException {
+            return JoinUtil.createJoinQuery(fromField, toField, joinFromQuery, indexSearcherFor(fromType));
+    }
+
+    /**
+     * Creates a class restriction query and wraps the class restriction
+     * query and the given <code>query</code> into a BooleanQuery where both must match.
+     * <p>
+     * TODO instead of using a BooleanQuery for the class restriction it would be much more
+     *  performant to use a {@link Filter} instead.
+     *
+     * @param cdmTypeRestriction
+     * @param query
+     * @return
+     */
+    public static Query addTypeRestriction(Query query, Class<? extends CdmBase> cdmTypeRestriction) {
+
+        Query fullQuery;
+        BooleanQuery filteredQuery = new BooleanQuery();
+        BooleanQuery classFilter = new BooleanQuery();
+
+        Term t = new Term(ProjectionConstants.OBJECT_CLASS, cdmTypeRestriction.getName());
+        TermQuery termQuery = new TermQuery(t);
+
+        classFilter.setBoost(0);
+        classFilter.add(termQuery, BooleanClause.Occur.SHOULD);
+
+        filteredQuery.add(query, BooleanClause.Occur.MUST);
+        filteredQuery.add(classFilter, BooleanClause.Occur.MUST);
+
+        fullQuery = filteredQuery;
+        return fullQuery;
+    }
+
+    /**
+     * @param clazz
+     * @return
+     */
+    private IndexSearcher indexSearcherFor(Class<? extends CdmBase> clazz) {
+        if(indexSearcherMap.get(clazz) == null){
+
+            IndexReader indexReader = toolProvider.getIndexReaderFor(clazz);
+            IndexSearcher searcher = new IndexSearcher(indexReader);
+            searcher.setDefaultFieldSortScoring(true, true);
+            indexSearcherMap.put(clazz, searcher);
+        }
+        IndexSearcher indexSearcher = indexSearcherMap.get(clazz);
+        return indexSearcher;
+    }
+
 }
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/Statistics.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/Statistics.java
index bb1bfea795..be0b9041b5 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/Statistics.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/Statistics.java
@@ -31,13 +31,6 @@ public class Statistics {
 
 	private StatisticsConfigurator request;
 
-	// private Map<StatisticsTypeEnum, Number> countMap;
-
-	// private Map<StatisticsPartEnum, Map<IdentifiableEntity, Statistics>>
-	// partList;
-
-	private List<IdentifiableEntity> about;
-
 	// it's a pitty, but for JSON Map keys must be Strings
 	// see also: JSONObject _fromMap( Map map, JsonConfig jsonConfig )
 	// --> TODO: modify MapJSONValueProcessor.processArrayValue(Object value,
@@ -48,8 +41,6 @@ public class Statistics {
 	public Statistics(StatisticsConfigurator configurator) {
 		this.request = configurator;
 		this.countMap = new HashMap<String, Number>();
-
-		this.about = new ArrayList<IdentifiableEntity>();
 	}
 
 	public void setRequest(StatisticsConfigurator request) {
@@ -64,13 +55,8 @@ public class Statistics {
 		return countMap;
 	}
 
-	public void addCount(StatisticsTypeEnum type, Integer number) {
+	public void addCount(StatisticsTypeEnum type, Long number) {
 		this.countMap.put(type.getLabel(), number);
 	}
 	
-	// public Map<StatisticsPartEnum, Map<IdentifiableEntity, Statistics>>
-	// getPartList() {
-	// // return part;
-	// }
-
 }
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsConfigurator.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsConfigurator.java
index 7e4c4826d5..871048bf93 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsConfigurator.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsConfigurator.java
@@ -13,34 +13,43 @@ import java.util.ArrayList;
 import java.util.Collections;
 import java.util.List;
 
+import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
+
 /**
  * This class configures the statistical request to 
  * a CDM Store. It defines which statistical values should
  * be computed and returned.
  * 
  * on a CDM Store
- * @author a.mueller (, s.buers)
+ * @author a.mueller , s.buers
  * @date 21.09.2012
  *
  */
+
 public class StatisticsConfigurator {
 	
-	public static StatisticsConfigurator NewDefaultAllConfigurator(){
-		StatisticsConfigurator result = new StatisticsConfigurator();
-		result.addPart(StatisticsPartEnum.ALL);
-		return result;
-	}
-	
-	//
 
-	private List<StatisticsPartEnum> part= new ArrayList<StatisticsPartEnum>();
-	
-	//TODO: replace with IdentifiableEntity???:
-//	private List<IdentifiableEntity> filter = new ArrayList<IdentifiableEntity>();
+	//*********************** MEMBERS ********************************
+
+	// the filter list represents the path to 
+	private List<IdentifiableEntity> filter = new ArrayList<IdentifiableEntity>();
 
 	private List<StatisticsTypeEnum> type = new ArrayList<StatisticsTypeEnum>();
 	
-// *************************** METHODS ******************************/
+	
+	
+	// *********************** CONSTRUCTORS ***************************
+	
+	
+	public StatisticsConfigurator(){}
+	
+	public StatisticsConfigurator(List<IdentifiableEntity> filter, List<StatisticsTypeEnum> types){
+		this.filter=filter;
+		this.type=types;
+	}
+	
+	
+	// *************************** METHODS ******************************/
 	
 	public List<StatisticsTypeEnum> getType() {
 		return Collections.unmodifiableList(type);
@@ -49,28 +58,22 @@ public class StatisticsConfigurator {
 	public void addType(StatisticsTypeEnum type){
 		this.type.add(type);
 	}
-
-	public void addPart(StatisticsPartEnum part) {
-		this.part.add(part);
+	
+	public void setType(List<StatisticsTypeEnum> newType) {
+		this.type=newType;	
 	}
+
+	//------------------------------------------------
 	
-	public void addPart(int index, StatisticsPartEnum part) {
-		this.part.add(index, part);
+	public List<IdentifiableEntity> getFilter() {
+		return filter;
 	}
 	
-	public List<StatisticsPartEnum> getPart() {
-		return Collections.unmodifiableList(part);
+	public void addFilter(IdentifiableEntity filterItem) {
+		this.filter.add(filterItem);
 	}
 
-	
 
-//	public List<IdentifiableEntity> getFilter() {
-//		return filter;
-//	}
-//	
-//	public void addFilter(IdentifiableEntity filterItem) {
-//		this.filter.add(filterItem);
-//	}
 
 	
 	
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsPartEnum.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsPartEnum.java
index 12f184fb19..54791ace26 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsPartEnum.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsPartEnum.java
@@ -17,7 +17,8 @@ package eu.etaxonomy.cdm.api.service.statistics;
 public enum StatisticsPartEnum {
 	
 	ALL ("All", "All data in the datastore"),
-	CLASSIFICATION("Classification", "Data per classification")
+	CLASSIFICATION("Classification", "Data per classification"),
+	TAXON_NODE("TaxonNode","Data of tree from this taxon node")
 	;
 	
 	
diff --git a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsTypeEnum.java b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsTypeEnum.java
index 0abbb164c0..d16c256346 100644
--- a/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsTypeEnum.java
+++ b/cdmlib-services/src/main/java/eu/etaxonomy/cdm/api/service/statistics/StatisticsTypeEnum.java
@@ -24,8 +24,9 @@ public enum StatisticsTypeEnum {
 	SYNONYMS("Synonyms", "All synonyms"),
 	TAXON_NAMES("Taxon_names", "All taxon names (not"),
 	ALL_REFERENCES("References", "References"),
-	NOMECLATURAL_REFERENCES("Nomeclatural_references", "Nomenclatural references")//,
-//	DESCRIPTIVE_SOURCE_REFERENCES("Descriptive_source_references", "Descriptive source references")
+	NOMECLATURAL_REFERENCES("Nomeclatural_references", "Nomenclatural references"),
+	DESCRIPTIONS("Descriptions", "Descriptions"),
+	DESCRIPTIVE_SOURCE_REFERENCES("Descriptive_source_references", "Descriptive source references")
 	;
 	
 	
diff --git a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java
index 6470e97d3e..850fe1fdf1 100644
--- a/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java
+++ b/cdmlib-services/src/test/java/eu/etaxonomy/cdm/api/facade/DerivedUnitFacadeCacheStrategyTest.java
@@ -9,23 +9,21 @@
 */
 package eu.etaxonomy.cdm.api.facade;
 
-import org.junit.Assert;
-
 import org.apache.log4j.Logger;
+import org.junit.Assert;
 import org.junit.Before;
 import org.junit.Test;
 
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.Rank;
@@ -33,10 +31,11 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
 
 /**
@@ -48,20 +47,20 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(DerivedUnitFacadeCacheStrategyTest.class);
 
-	Specimen specimen;
+	DerivedUnit specimen;
 	DerivationEvent derivationEvent;
-	FieldObservation fieldObservation;
+	FieldUnit fieldUnit;
 	GatheringEvent gatheringEvent;
 	Integer absoluteElevation = 40;
 	Integer absoluteElevationError = 2;
 	Team collector = Team.NewInstance();
 	String collectingMethod = "Collection Method";
-	Integer distanceToGround = 22;
-	Integer distanceToSurface = 50;
+	Double distanceToGround = 22.0;
+	Double distanceToSurface = 50.0;
 	ReferenceSystem referenceSystem = ReferenceSystem.WGS84();
 	Point exactLocation = Point.NewInstance(12.3, 10.567, referenceSystem, 22);
 	String gatheringEventDescription = "A nice gathering description";
-	TimePeriod gatheringPeriod = TimePeriod.parseString("03.05.2005");
+	TimePeriod gatheringPeriod = TimePeriodParser.parseString("03.05.2005");
 	String ecology = "sand dunes";
 	String plantDescription = "flowers blue";
 
@@ -70,10 +69,10 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 	Person primaryCollector;
 
 	Integer individualCount = 1;
-	Stage lifeStage = Stage.NewInstance("A wonderful stage", "stage", "st");
-	Sex sex = Sex.NewInstance("FemaleMale", "FM", "FM");
+	DefinedTerm lifeStage = DefinedTerm.NewStageInstance("A wonderful stage", "stage", "st");
+	DefinedTerm sex = DefinedTerm.NewSexInstance("FemaleMale", "FM", "FM");
 	LanguageString locality = LanguageString.NewInstance("Berlin-Dahlem, E side of Englerallee", Language.DEFAULT());
-	NamedArea country = WaterbodyOrCountry.GERMANY();
+	NamedArea country = Country.GERMANY();
 
 	String exsiccatum = "Greuter, Pl. Dahlem. 456";
 	String accessionNumber = "8909756";
@@ -82,14 +81,14 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 	String collectorsNumber = "234589913A34";
 	Collection collection = Collection.NewInstance();
 
-	PreservationMethod preservationMethod = PreservationMethod.NewInstance("my prservation", null, null);
+	PreservationMethod preservationMethod = PreservationMethod.NewInstance(null, "my prservation");
 
 	DerivedUnitFacade specimenFacade;
 
-	Specimen collectionSpecimen;
+	DerivedUnit collectionSpecimen;
 	GatheringEvent existingGatheringEvent;
 	DerivationEvent firstDerivationEvent;
-	FieldObservation firstFieldObject;
+	FieldUnit firstFieldObject;
 	Media media1 = Media.NewInstance();
 
 
@@ -110,16 +109,16 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 	 */
 	@Before
 	public void setUp() throws Exception {
-		specimen = Specimen.NewInstance();
+		specimen = DerivedUnit.NewPreservedSpecimenInstance();
 
 		derivationEvent = DerivationEvent.NewInstance(DerivationEventType.ACCESSIONING());
 		specimen.setDerivedFrom(derivationEvent);
-		fieldObservation = FieldObservation.NewInstance();
-		fieldObservation.addDerivationEvent(derivationEvent);
+		fieldUnit = FieldUnit.NewInstance();
+		fieldUnit.addDerivationEvent(derivationEvent);
 		gatheringEvent = GatheringEvent.NewInstance();
-		fieldObservation.setGatheringEvent(gatheringEvent);
+		fieldUnit.setGatheringEvent(gatheringEvent);
 		gatheringEvent.setAbsoluteElevation(absoluteElevation);
-		gatheringEvent.setAbsoluteElevationError(absoluteElevationError);
+//		gatheringEvent.setAbsoluteElevationError(absoluteElevationError);
 		gatheringEvent.setActor(collector);
 		gatheringEvent.setCollectingMethod(collectingMethod);
 		gatheringEvent.setDistanceToGround(distanceToGround);
@@ -131,11 +130,11 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 		gatheringEvent.setLocality(locality);
 		gatheringEvent.setCountry(country);
 
-		fieldObservation.setFieldNumber(fieldNumber);
-		fieldObservation.setFieldNotes(fieldNotes);
-		fieldObservation.setIndividualCount(individualCount);
-		fieldObservation.setSex(sex);
-		fieldObservation.setLifeStage(lifeStage);
+		fieldUnit.setFieldNumber(fieldNumber);
+		fieldUnit.setFieldNotes(fieldNotes);
+		fieldUnit.setIndividualCount(individualCount);
+		fieldUnit.setSex(sex);
+		fieldUnit.setLifeStage(lifeStage);
 		primaryCollector = Person.NewTitledInstance("Kilian");
 		collector.addTeamMember(primaryCollector);
 		Person secondCollector = Person.NewInstance();
@@ -144,7 +143,7 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 		collector.addTeamMember(secondCollector);
 		Person thirdCollector = Person.NewTitledInstance("Kohlbecker");
 		collector.addTeamMember(thirdCollector);
-		fieldObservation.setPrimaryCollector(primaryCollector);
+		fieldUnit.setPrimaryCollector(primaryCollector);
 
 		specimen.setAccessionNumber(accessionNumber);
 		specimen.setCatalogNumber(catalogNumber);
@@ -156,9 +155,9 @@ public class DerivedUnitFacadeCacheStrategyTest extends CdmIntegrationTest {
 		specimenFacade = DerivedUnitFacade.NewInstance(specimen);
 
 		//existing specimen with 2 derivation events in line
-		collectionSpecimen = Specimen.NewInstance();
-		Specimen middleSpecimen = Specimen.NewInstance();
-		firstFieldObject = FieldObservation.NewInstance();
+		collectionSpecimen = DerivedUnit.NewPreservedSpecimenInstance();
+		DerivedUnit middleSpecimen = DerivedUnit.NewPreservedSpecimenInstance();
+		firstFieldObject = FieldUnit.NewInstance();
 
 		//TODO maybe we should define concrete event types here
 		DerivationEvent lastDerivationEvent = DerivationEvent.NewInstance(null);
